package com.xylink.model;

import org.apache.commons.codec.digest.DigestUtils;

import java.util.UUID;

/**
 * Created with IntelliJ IDEA.
 * Description:
 * User: gzm
 * Date: 2019-05-07
 */
public class EnterpriseToken {

    private String extId;

    private String token;

    private String enterpriseId;

    private Long bindTime;

    private Long expireTime;

    private boolean enabled = false;
    private boolean allowUse= true;

    public EnterpriseToken(String enterpriseId) {
        this.extId = "";                 //生成新的extId;
        this.token = DigestUtils.sha256Hex(UUID.randomUUID().toString());               //生成新的token;
        this.enterpriseId = enterpriseId;
        this.bindTime = System.currentTimeMillis();
        this.expireTime = Long.MAX_VALUE;
    }

    public String getExtId() {
        return extId;
    }

    public void setExtId(String extId) {
        this.extId = extId;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getBindTime() {
        return bindTime;
    }

    public void setBindTime(Long bindTime) {
        this.bindTime = bindTime;
    }

    public Long getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Long expireTime) {
        this.expireTime = expireTime;
    }

    public boolean isEnabled() {
        return enabled;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }

    public boolean isAllowUse() {
        return allowUse;
    }

    public void setAllowUse(boolean allowUse) {
        this.allowUse = allowUse;
    }
}
