package com.xylink.sdk.test;


import com.xylink.config.SDKConfigMgr;
import com.xylink.model.*;
import com.xylink.sdk.user.UserValidateApi;
import com.xylink.util.AES256Util;
import org.junit.BeforeClass;
import org.junit.Test;
import java.io.IOException;
import static org.junit.Assert.*;

/**
 * Created with IntelliJ IDEA.
 * Description:
 * User: gzm
 * Date: 2018-12-08
 */
public class UserTest extends EnterpriseConfig{

    UserValidateResponse userValidateResponse = null;

    @Test
    public void userValidate() {
        UserValidateApi userValidateApi = new UserValidateApi();
        ExternalLoginRequest externalLoginRequest = new ExternalLoginRequest();
        externalLoginRequest.setUserPhone("10098123862");
        externalLoginRequest.setPassword(AES256Util.AESEncode("UET3UM"));
        try {
            userValidateResponse = userValidateApi.userValidate(enterpriseId, token,
                    externalLoginRequest);
            if (userValidateResponse != null){
                System.out.println("responds:" + userValidateResponse.toString());
            }
        } catch (IOException e) {
            fail(e.getMessage());
        }
    }

}
