package com.xylink.config;

import com.xylink.util.SignUtil;

import java.util.Map;

public class EnterpriseSdkConfig {
    /**
     * 当前企业的url地址
     */
    private String serverHost;
    /**
     * clientid
     * 必填
     */
    private String clientId;
    /**
     * 必填
     */
    private String clientSecret;
    /**
     * 必填
     */
    private String enterpriseId;

    //以下可选
    private SignUtil.SignType signType = SignUtil.SignType.MD5;
    private boolean enableSecurityHttp = false;
    private Map<String,String> extrasHeader = null;
    private SignatureVersion signatureVersion = SignatureVersion.Signature_2_0;

    public String getServerHost() {
        return serverHost;
    }

    public void setServerHost(String serverHost) {
        this.serverHost = serverHost;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getClientSecret() {
        return clientSecret;
    }

    public void setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public SignUtil.SignType getSignType() {
        return signType;
    }

    public void setSignType(SignUtil.SignType signType) {
        this.signType = signType;
    }

    public boolean isEnableSecurityHttp() {
        return enableSecurityHttp;
    }

    public void setEnableSecurityHttp(boolean enableSecurityHttp) {
        this.enableSecurityHttp = enableSecurityHttp;
    }

    public Map<String, String> getExtrasHeader() {
        return extrasHeader;
    }

    public void setExtrasHeader(Map<String, String> extrasHeader) {
        this.extrasHeader = extrasHeader;
    }

    public SignatureVersion getSignatureVersion() {
        return signatureVersion;
    }

    public void setSignatureVersion(SignatureVersion signatureVersion) {
        this.signatureVersion = signatureVersion;
    }

    @Override
    public String toString() {
        return "EnterpriseSdkConfig{" +
                ", serverHost='" + serverHost + '\'' +
                ", clientId='" + clientId + '\'' +
                ", clientSecret='" + clientSecret + '\'' +
                ", enterpriseId='" + enterpriseId + '\'' +
                ", signType=" + signType +
                ", enableSecurityHttp=" + enableSecurityHttp +
                ", extrasHeader=" + extrasHeader +
                ", signatureVersion=" + signatureVersion +
                '}';
    }
}
