package com.xylink.sdk.不要外发;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.xylink.model.SdkCloudMeetingRoomRequest;
import com.xylink.model.SdkMeeting;
import com.xylink.model.SdkMeetingReq;
import com.xylink.sdk.SdkMethodV2;
import com.xylink.sdk.conferenceControl.CreateMeetingApi;
import com.xylink.util.HttpUtil;
import com.xylink.util.Result;
import com.xylink.util.SignatureSample;

import java.io.IOException;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class Test {
    public static void main(String[] args){
        String  luyi = "{\n" +
                "    \"meetingName\": \"小飞的会议室\",\n" +
                "    \"startTime\": 1666240200000,\n" +
                "    \"endTime\": 1666251000000,\n" +
                "    \"requirePassword\": false,\n" +
                "    \"autoMute\": 0,\n" +
                "    \"onlyScheduledCall\": 1,\n" +
                "    \"configs\":{\n" +
                "    \"autoRecord\": false,\n" +
                "    \"enableRecordCrypt\": false,\n" +
                "    \"storageId\": \"2\"\n" +
                "    }\n" +
                "}";

        try {
            SdkCloudMeetingRoomRequest sdkMeetingReq = new SdkCloudMeetingRoomRequest();
            sdkMeetingReq.setMeetingName("test");

            String json = new ObjectMapper().writeValueAsString(sdkMeetingReq);
            String url = "https://sdk.xylink.com/api/rest/external/v2/vods/page?enterpriseId=00950c518de2bf3fcdb7f13d4344a15ed4bc4188&startTime=1664553600000&endTime=1666258595000&pageIndex=0&pageSize=50";
            String token = "b2d9e6b94b7c79ee44fb595ffefde8864e4642ecc0f248a05d65665df2c3cc92";
            String signature = new SignatureSample().computeSignature(null, "GET", token, url);
            System.out.println("---"+signature);
            url += "&signature=" + signature;
            Result sdkMeeting = HttpUtil.getResponse(url, "GET", null, Object.class);
            if(sdkMeeting.isSuccess()) {
                System.out.println("success");
            } else {
                System.out.println("error");
            }

        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
